tests: Fold run_all_tests scripts into run_all_tests_with_layers scripts

Missing functionality was moved into the -with-layers scripts to ensure
all tests are run.
diff --git a/tests/_run_all_tests_with_layers.ps1 b/tests/_run_all_tests_with_layers.ps1
index db88c0f..78eba79 100755
--- a/tests/_run_all_tests_with_layers.ps1
+++ b/tests/_run_all_tests_with_layers.ps1
@@ -11,9 +11,13 @@
 

 Set-Item -path env:Path -value ($env:Path + ";..\loader\$dPath")

 Set-Item -path env:Path -value ($env:Path + ";gtest-1.7.0\$dPath")

+$env:VK_LAYER_PATH = "..\layers\$dPath"

+

+.\vktrace_replay.ps1 "-$dPath"

+.\vkvalidatelayerdoc.ps1

+

 $env:VK_INSTANCE_LAYERS = "VK_LAYER_LUNARG_threading;VK_LAYER_LUNARG_mem_tracker;VK_LAYER_LUNARG_object_tracker;VK_LAYER_LUNARG_draw_state;VK_LAYER_LUNARG_param_checker;VK_LAYER_LUNARG_swapchain;VK_LAYER_LUNARG_device_limits;VK_LAYER_LUNARG_image"

 $env:VK_DEVICE_LAYERS = "VK_LAYER_LUNARG_threading;VK_LAYER_LUNARG_mem_tracker;VK_LAYER_LUNARG_object_tracker;VK_LAYER_LUNARG_draw_state;VK_LAYER_LUNARG_param_checker;VK_LAYER_LUNARG_swapchain;VK_LAYER_LUNARG_device_limits;VK_LAYER_LUNARG_image"

-$env:VK_LAYER_PATH = "..\layers\$dPath"

 

 Copy-Item ..\..\tests\vk_layer_settings.txt .

 If (-Not (Test-Path .\vk_layer_settings.txt)) {

@@ -23,9 +27,15 @@
 & $dPath\vkbase.exe

 & $dPath\vk_blit_tests

 & $dPath\vk_image_tests

-& $dPath\vk_render_tests 

+& $dPath\vk_render_tests

 

 If (Test-Path .\vk_layer_settings.txt) {

     del vk_layer_settings.txt

 }

 

+#unset the layer enviroment variables before running the layer validation tests

+$env:VK_INSTANCE_LAYERS = ""

+$env:VK_DEVICE_LAYERS = ""

+

+& $dPath\vk_layer_validation_tests

+

diff --git a/tests/run_all_tests_with_layers.sh b/tests/run_all_tests_with_layers.sh
index f487898..1f15407 100755
--- a/tests/run_all_tests_with_layers.sh
+++ b/tests/run_all_tests_with_layers.sh
@@ -2,16 +2,20 @@
 #
 # Run all the regression tests with validation layers enabled
 
+# Halt on error
+set -e
+
+# Verify that validation checks in source match documentation
+./vkvalidatelayerdoc.sh
+
 # enable layers
 export VK_INSTANCE_LAYERS=VK_LAYER_LUNARG_threading:VK_LAYER_LUNARG_mem_tracker:VK_LAYER_LUNARG_object_tracker:VK_LAYER_LUNARG_draw_state:VK_LAYER_LUNARG_param_checker:VK_LAYER_LUNARG_swapchain:VK_LAYER_LUNARG_device_limits:VK_LAYER_LUNARG_image
 export VK_DEVICE_LAYERS=VK_LAYER_LUNARG_threading:VK_LAYER_LUNARG_mem_tracker:VK_LAYER_LUNARG_object_tracker:VK_LAYER_LUNARG_draw_state:VK_LAYER_LUNARG_param_checker:VK_LAYER_LUNARG_swapchain:VK_LAYER_LUNARG_device_limits:VK_LAYER_LUNARG_image
 
-set -e
-
 if [ -f ../../tests/vk_layer_settings.txt ];
 then
     cp ../../tests/vk_layer_settings.txt .
-fi 
+fi
 
 if [ ! -f ./vk_layer_settings.txt ];
 then
@@ -31,7 +35,7 @@
 #vk_render_tests tests a variety of features using rendered images
 # --compare-images will cause the test to check the resulting image against
 # a saved "golden" image and will report an error if there is any difference
-./vk_render_tests # TODO: Reenable after fixing test framework for correct image layouts --compare-images
+./vk_render_tests --compare-images
 
 # vktracereplay.sh tests vktrace trace and replay
 ./vktracereplay.sh
@@ -40,3 +44,10 @@
 then
     rm ./vk_layer_settings.txt
 fi
+
+unset VK_INSTANCE_LAYERS
+unset VK_DEVICE_LAYERS
+# vk_layer_validation_tests check to see that validation layers will
+# catch the errors that they are supposed to by intentionally doing things
+# that are wrong
+./vk_layer_validation_tests